/**
 *  ---------
 * |.##> <##.|  SmartCard-HSM Support Scripts
 * |#       #|
 * |#       #|  Copyright (c) 2011-2024 CardContact Systems GmbH
 * |'##> <##'|  32429 Minden, Germany (www.cardcontact.de)
 *  ---------
 *
 * Consult your license package for usage terms and conditions.
 *
 * @fileoverview Printer control using a shell command
 */

function TestAPDU(job) {
	this.job = job;
}

exports.TestAPDU = TestAPDU;

TestAPDU.type = "initializer";



TestAPDU.prototype.configure = function() {
}



TestAPDU.prototype.handleCard = function(card) {
	card.plainApdu(new ByteString(this.job.apdu, HEX), [0x9000]);
	return "OK";
}

